module axi_fifo_spi (
        ap_clk,
        ap_rst,
        input_V_V_dout,
        input_V_V_empty_n,
        input_V_V_read,
        inbuff_empty,
        output_V_V_din,
        output_V_V_full_n,
        output_V_V_write,
        outbuff_full,
        spi_ce_n,
        spi_di_V,
        spi_do_V,
        tx_start,
        tx_done
)/*synthesis syn_black_box*/;
input   ap_clk;
input   ap_rst;
input  [7:0] input_V_V_dout;
input   input_V_V_empty_n;
output   input_V_V_read;
input   inbuff_empty;
output  [7:0] output_V_V_din;
input   output_V_V_full_n;
output   output_V_V_write;
input   outbuff_full;
output   spi_ce_n;
input  [7:0] spi_di_V;
output  [7:0] spi_do_V;
output   tx_start;
input   tx_done;
endmodule

