`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    15:32:02 05/26/2016 
// Design Name: 
// Module Name:    binary_counter 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module binary_counter(
    input clk,
    input pps,
    output [9:0] val
    );

reg [9:0] val_reg = 10'd0;
reg [13:0] int_cnt_reg = 14'd0;
reg reset_done = 1'b0;

//always @(posedge clk)
always @(negedge clk)
begin
	if((pps  == 1'b1) & (reset_done == 1'b0))
		begin
			int_cnt_reg <= 14'd0;
			val_reg <= 10'd0;
			reset_done <= 1'b1;
		end
	else
		begin

			if((pps == 1'b0) & (reset_done == 1'b1))
				reset_done <= 1'b0;

			//one cycle used for actual nulling this reg
			if(int_cnt_reg < 14'd15999) begin
				int_cnt_reg <= int_cnt_reg+1;
			end else begin
				int_cnt_reg <= 14'd0;
				val_reg <= val_reg+1;
			end


		end
end


assign val = val_reg;

endmodule
